Liblinphone: linphone::ConferenceSchedulerListener Class Reference

Liblinphone 5.3.0

Public Member Functions | List of all members
linphone::ConferenceSchedulerListener Class Reference

An object to handle the callbacks of ConferenceScheduler object. More...

`#include <conference_scheduler_listener.hh>`

Inheritance diagram for linphone::ConferenceSchedulerListener:

## Public Member Functions
virtual LINPHONECXX_PUBLIC void | onStateChanged (const std::shared_ptr< linphone::ConferenceScheduler > &conferenceScheduler, linphone::ConferenceScheduler::State state)
| Callback for notifying when a registration state has changed for the conference scheduler.
virtual LINPHONECXX_PUBLIC void | onInvitationsSent (const std::shared_ptr< linphone::ConferenceScheduler > &conferenceScheduler, const std::list< std::shared_ptr< linphone::Address > > &failedInvitations)
| Callback for notifying when conference invitations have been sent.

## Detailed Description

An object to handle the callbacks of ConferenceScheduler object.

## Member Function Documentation

## ◆ onInvitationsSent()

virtual LINPHONECXX_PUBLIC void linphone::ConferenceSchedulerListener::onInvitationsSent | ( | const std::shared_ptr< linphone::ConferenceScheduler > & | conferenceScheduler,
|  | const std::list< std::shared_ptr< linphone::Address > > & | failedInvitations )
| inlinevirtual

Callback for notifying when conference invitations have been sent.

In case of error for some participants, their addresses will be given as parameter.

Parameters

  conferenceScheduler | ConferenceScheduler object whose state has changed.
  failedInvitations | a list of addresses for which invitation couldn't be sent.

## ◆ onStateChanged()

virtual LINPHONECXX_PUBLIC void linphone::ConferenceSchedulerListener::onStateChanged | ( | const std::shared_ptr< linphone::ConferenceScheduler > & | conferenceScheduler,
|  | linphone::ConferenceScheduler::State | state )
| inlinevirtual

Callback for notifying when a registration state has changed for the conference scheduler.

Parameters

  conferenceScheduler | LinphoneConferenceScheduler object whose state has changed.
  state | The current LinphoneConferenceSchedulerState.

The documentation for this class was generated from the following file:

- conference_scheduler_listener.hh